Queue identifier values for reprocessing
curl --request POST \
--url https://api.hightouch.com/api/v1/idr/{graphId}/queue-for-reprocessing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifiers": [
{
"identifier": "email",
"value": "a@b.com"
},
{
"identifier": "phone",
"value": "1234567890"
}
],
"block": true
}
'import requests
url = "https://api.hightouch.com/api/v1/idr/{graphId}/queue-for-reprocessing"
payload = {
"identifiers": [
{
"identifier": "email",
"value": "a@b.com"
},
{
"identifier": "phone",
"value": "1234567890"
}
],
"block": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identifiers: [
{identifier: 'email', value: 'a@b.com'},
{identifier: 'phone', value: '1234567890'}
],
block: true
})
};
fetch('https://api.hightouch.com/api/v1/idr/{graphId}/queue-for-reprocessing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/idr/{graphId}/queue-for-reprocessing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identifiers' => [
[
'identifier' => 'email',
'value' => 'a@b.com'
],
[
'identifier' => 'phone',
'value' => '1234567890'
]
],
'block' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/idr/{graphId}/queue-for-reprocessing"
payload := strings.NewReader("{\n \"identifiers\": [\n {\n \"identifier\": \"email\",\n \"value\": \"a@b.com\"\n },\n {\n \"identifier\": \"phone\",\n \"value\": \"1234567890\"\n }\n ],\n \"block\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hightouch.com/api/v1/idr/{graphId}/queue-for-reprocessing")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"identifiers\": [\n {\n \"identifier\": \"email\",\n \"value\": \"a@b.com\"\n },\n {\n \"identifier\": \"phone\",\n \"value\": \"1234567890\"\n }\n ],\n \"block\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/idr/{graphId}/queue-for-reprocessing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identifiers\": [\n {\n \"identifier\": \"email\",\n \"value\": \"a@b.com\"\n },\n {\n \"identifier\": \"phone\",\n \"value\": \"1234567890\"\n }\n ],\n \"block\": true\n}"
response = http.request(request)
puts response.read_body{
"requestId": "<string>"
}{
"message": "Validation failed",
"details": {}
}API Reference
Queue identifier values for reprocessing
Trigger an async job to queue identifier values for reprocessing, optionally adding them to the blocklist.
If block is true (the default), identifier values will be added to the blocklist and ignored in future runs.
Clusters containing these identifier values will be queued for reprocessing.
POST
/
idr
/
{graphId}
/
queue-for-reprocessing
Queue identifier values for reprocessing
curl --request POST \
--url https://api.hightouch.com/api/v1/idr/{graphId}/queue-for-reprocessing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifiers": [
{
"identifier": "email",
"value": "a@b.com"
},
{
"identifier": "phone",
"value": "1234567890"
}
],
"block": true
}
'import requests
url = "https://api.hightouch.com/api/v1/idr/{graphId}/queue-for-reprocessing"
payload = {
"identifiers": [
{
"identifier": "email",
"value": "a@b.com"
},
{
"identifier": "phone",
"value": "1234567890"
}
],
"block": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identifiers: [
{identifier: 'email', value: 'a@b.com'},
{identifier: 'phone', value: '1234567890'}
],
block: true
})
};
fetch('https://api.hightouch.com/api/v1/idr/{graphId}/queue-for-reprocessing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/idr/{graphId}/queue-for-reprocessing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'identifiers' => [
[
'identifier' => 'email',
'value' => 'a@b.com'
],
[
'identifier' => 'phone',
'value' => '1234567890'
]
],
'block' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/idr/{graphId}/queue-for-reprocessing"
payload := strings.NewReader("{\n \"identifiers\": [\n {\n \"identifier\": \"email\",\n \"value\": \"a@b.com\"\n },\n {\n \"identifier\": \"phone\",\n \"value\": \"1234567890\"\n }\n ],\n \"block\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hightouch.com/api/v1/idr/{graphId}/queue-for-reprocessing")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"identifiers\": [\n {\n \"identifier\": \"email\",\n \"value\": \"a@b.com\"\n },\n {\n \"identifier\": \"phone\",\n \"value\": \"1234567890\"\n }\n ],\n \"block\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/idr/{graphId}/queue-for-reprocessing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"identifiers\": [\n {\n \"identifier\": \"email\",\n \"value\": \"a@b.com\"\n },\n {\n \"identifier\": \"phone\",\n \"value\": \"1234567890\"\n }\n ],\n \"block\": true\n}"
response = http.request(request)
puts response.read_body{
"requestId": "<string>"
}{
"message": "Validation failed",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required. ID of the graph containing the identifiers.
Body
application/json
If true, identifier values will also be added to the blocklist and ignored in future runs.
Response
ID associated with the reprocessing request. This can be used to query the status of the request.
ID associated with the reprocessing request. This can be used to query the status of the request.
Was this page helpful?